# IpeColor Class Reference
[Ipe Attributes]

An absolute RGB color. More...

List of all members.

## Public Member Functions

- IpeColor ()
- IpeColor (double red, double green, double blue)
- void Save (IpeStream &stream) const
- bool IsGray () const
- bool operator== (const IpeColor &rhs) const

## Public Attributes

- double iRed
- double iGreen
- double iBlue

## Detailed Description

An absolute RGB color.

## Constructor & Destructor Documentation

IpeColor::IpeColor | ( |  | ) | `[inline]`

| Default constructor.

## Member Function Documentation

void IpeColor::Save | ( | IpeStream & | stream | ) | const

| Save to stream.

bool IpeColor::IsGray | ( |  | ) | const

| Is it an absolute gray value?

The documentation for this class was generated from the following files:

- ipecolor.h
- ipecolor.cpp